Summary: 	Hangul Terminal for X Window System.
Name:		hanterm-xf
Version:	2.0.5
Release: 	5
Copyright:	MIT
Url:		http://www.kr.freebsd.org/~hwang/hanterm/

Source:		%{name}-%{version}.tar.gz
Source2:	mini-hanterm.xpm
Source3:	hanterm.xpm
Source4:	net-hanterm.desktop
Source5:	hanterm-wheel.diff
Source6:	hanterm-xf-icons.tar.bz2

Patch1:		hanterm-xf-2.0.3-utempter.patch
#Patch1:	hanterm-xf-2.0.0-font.patch

Group: 		User Interface/X
Requires:	XFree86-libs,Xaw3d,ttfonts-ko
Obsoletes:	hanterm, hanterm-xf86
BuildRoot:	%{_tmppath}/%{name}-root
BuildPrereq:	Xaw3d-devel,libtermcap-devel

%description
Hangul Terminal for the X Window System, based on the xterm in
XFree86.

%prep
%setup -n %{name}-%{version} -a 6
%patch1 -p1 -b .utempter
#%patch1 -p1 -b .font

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--with-Xaw3d --with-utempter
make

%install
rm -rf $RPM_BUILD_ROOT
# create directory structure
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/hangul_keyboard
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{lib/X11/app-defaults,lib/X11/ko/app-defaults}
#mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini

# install config and binaries
install -c -s -m755 hanterm $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -m444 Hanterm.ad \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Hanterm
install -m444 Hanterm-col.ad \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Hanterm-color
install -m444 keyboard/*.kbd $RPM_BUILD_ROOT%{_prefix}/share/hangul_keyboard
install -m444 keyboard/*.map $RPM_BUILD_ROOT%{_prefix}/share/hangul_keyboard
#install -c -m444 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/
#install -c -m444 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons

#Enable Wheel Mouse
#find $RPM_BUILD_ROOT/usr/X11R6/lib/X11 -name Hanterm -exec patch {} %{SOURCE5} \;

# install hanterm.desktop for KDE and GNOME
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m444 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/applications

# install icons
#mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
#install -c -m 644 $RPM_SOURCE_DIR/mini-hanterm.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps
#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/{hi,lo}color/{16x16,32x32}/apps
#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps
install -m444 hi16-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/hanterm.png
#install -m444 hi32-app-hanterm.png \
#        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/hanterm.png
#install -m444 hi48-app-hanterm.png \
#        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/hanterm.png
#install -m444 lo16-app-hanterm.png \
#        $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/16x16/apps/hanterm.png
#install -m444 lo32-app-hanterm.png \
#        $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/32x32/apps/hanterm.png


## strip binaries
#strip `file $RPM_BUILD_ROOT/usr/X11R6/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_prefix}/X11R6/bin/hanterm
%config /usr/X11R6/lib/X11/ko/app-defaults/Hanterm
%config /usr/X11R6/lib/X11/ko/app-defaults/Hanterm-color
%config(missingok) %{_prefix}/share/hangul_keyboard
%{_datadir}/icons/hicolor/16x16/apps/hanterm.png
%{_datadir}/applications/net-hanterm.desktop

%changelog
* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 David Joo <djoo@redhat.com>
- Security Patch (Thanks to mjc@redhat.com)
- Bugfix #84945

* Thu Feb 20 2003 David Joo <djoo@redhat.com>
- updated to 2.0.5
- bugfix #84651, #84652
- Default English font and Korean font set in "Hanterm.ad" file

* Wed Feb 05 2003 David Joo <djoo@redhat.com>
-updated to 2.0.4

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 07 2003 David Joo <djoo@redhat.com>
- Update to 2.0.3
- fixes non-ascii filenames

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- remove lingering filess from $$RPM_BUILD_ROOT
- turn off patching for wheel mouse for now since it is not applying cleanly
- rebuild on all arches

* Mon Jul 29 2002 Paul Gampe <pgampe@redhat.com>
- sync with combined kde/gnome look-and-feel
- update spec file to 2.0.0 hanterm

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Repackaged with 2.0.0

* Mon Sep  3 2001 Leon Ho <llch@redhat.com>
- Fixed font cannot be loaded

* Wed Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update resource files to use baekmuk font

* Wed Aug  1 2001 Yukihiro Nakai <ynakai@redhat.com>
- Font fix

* Mon Jul 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix BuildPrereq (#49499)

* Mon Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix %%files to stop the build error
- Remove SID

* Thu Jul 12 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update resources to use daewoo font (#48838)

* Fri Jun 29 2001 Karsten Hopp <karsten@redhat.de>
- add defattr

* Tue Jun 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Build against RHL 7.2

* Thu May 24 2001 David Joo <djoo@redhat.com>
- Built against Red Hat 7.1

* Mon Oct  9 2000 Jaegul Jang <jaeguly@dreamwiz.com>
- change --with-x(origial --with-utempter)
- wheel mouse enable

* Tue Aug 29 2000 Jaegul Jang <jaeguly@dreamwiz.com>
- change default font
- rebuild in rhl-70beta

* Mon May 29 2000 Jaegul Jang <jjack@linuxone.co.kr>
- fix menu font
- change color values

* Sun May  7 2000 Jaegul Jang <jjack@linuxone.co.kr>
- rebuild hanterm-xf-p18 version

* Fri Feb 18 2000 Jaegul Jang <jjack@linuxone.co.kr>
- setting standard colors for 8bit X-window

* Thu Feb 10 2000 HwaSeop Kum <mungge@lycos.co.kr>
- import ManYong's patch openpty

* Fri Oct  8 1999 Hwa-Seop, Kum <mungge@alzzalinux.com>
- use hanterm-xf-p17 
- imparte patches 

* Sun Jun 20 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
[3.3.1_p16-4]
- added nosuid patch (is have pty patch)

* Sun Jun 20 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
[3.3.1_p16-3]
- opsoletes font patch, use X resource file
- update hanterm icon

* Thu Jun  3 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- GNOME Desktop support

* Tue Jun  1 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- support utmp98

* Mon Feb 22 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to p16

* Sun Oct 25 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- added hangul, hanja key map

* Thu Aug  6 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- rename hanterm-xf86 -> hanterm-xf
- updated to p15

* Mon Jun 15 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- change default font to iyagi

* Sat May 30 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- spec file updated

* Thu Apr 30 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated pre 13
- some edited add-defaults file

* Sat Dec 27 1997 Byeong-Chan Kim <redhands@linux.sarang.net>
- built again glibc
- some edited Hanterm add-defaults file

